Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001735TestLinkTest Specificationpublic2008-09-23 13:282008-12-08 20:03
Reporterkmcgregor 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001735: Error on Importing xls Test cases
DescriptionI receive the following error when importing xls testcases through testlink.
Navigate Test Specification > Click on Import Test Cases Button
Select file and xls
Click on Upload file button.

Fatal error: Call to a member function get_elements_by_tagname() on a non-object in C:\xampp\htdocs\testlink\lib\testcases\tcImport.php on line 158
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesdoc file icon testlink bug.doc [^] (111,616 bytes) 2008-09-23 13:28
xls file icon od12.xls [^] (17,408 bytes) 2008-09-23 14:05

- Relationships

-  Notes
(0004128)
fman (administrator)
2008-09-23 13:58

please attach xls file
(0004195)
z4l (reporter)
2008-09-28 15:09

The same happened to me. I could import in beta2, and I try to use the same files on beta3 and I get the same messgae "kmcgregor" reports.
(0004196)
z4l (reporter)
2008-09-28 16:03
edited on: 2008-09-29 11:21

It seems like there is a quantity limitation:
I used "kmcgregor" file (and a few of my own), and I saw that I can import these files only when the number of TC's in the file are between 2-6.
Below 2 Tcs or above 6 TCs won't work.

A workaround for this problem is to save the CSV as XML and import the TCs as an XML file type.

(0004209)
fman (administrator)
2008-09-29 23:30

I'm not able to open xls file with excel 2000.
do you have used a new excel format?
(0004211)
schlundus (reporter)
2008-09-30 01:23

The file contains two special charactes:

If the user has inputted a CA workgroup, zone, schedule, category?and supplier contract the order should be at INC status.

If the user inputs a CA workgroup, zone, schedule, category.?Order is at UNA status.


Therefore the XLS->XML conversion fails
(0004221)
fman (administrator)
2008-10-01 17:48

@schulduns:
do you have any idea of what transformation apply excel content, to avoid this kind of problems?
(0004224)
schlundus (reporter)
2008-10-01 23:16

I haven't exactly examined the problem, but i saw that two white space characters (i believe) are different from the others. It's some kind of charset coversion-conflict. I have to examine the ascii code to gibe furth answers
(0004244)
fman (administrator)
2008-10-03 23:56

OK Andreas, meanwhile do you think we can close this issue ?

- Issue History
Date Modified Username Field Change
2008-09-23 13:28 kmcgregor New Issue
2008-09-23 13:28 kmcgregor File Added: testlink bug.doc
2008-09-23 13:58 fman Note Added: 0004128
2008-09-23 14:05 kmcgregor File Added: od12.xls
2008-09-28 15:09 z4l Note Added: 0004195
2008-09-28 16:03 z4l Note Added: 0004196
2008-09-29 11:21 z4l Note Edited: 0004196
2008-09-29 21:05 fman Status new => assigned
2008-09-29 21:05 fman Assigned To => fman
2008-09-29 23:30 fman Note Added: 0004209
2008-09-30 01:23 schlundus Note Added: 0004211
2008-10-01 17:48 fman Note Added: 0004221
2008-10-01 23:17 schlundus Note Added: 0004224
2008-10-02 02:23 schlundus Status assigned => resolved
2008-10-02 02:23 schlundus Fixed in Version => next development 1.8 RC 1
2008-10-02 02:23 schlundus Resolution open => fixed
2008-10-03 23:56 fman Note Added: 0004244
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker